PowerPoint3ParserInternal::Ruler Struct Reference

Internal: a ruler. More...

## Public Member Functions
| Ruler ()
| constructor
void | updateParagraph (MWAWParagraph &para, int level) const
| returns a paragraph corresponding to a level

## Public Attributes
MWAWParagraph | m_paragraph
| the paragraph
int | m_margins [10]
| the left/first margins * 5 (0: normal, 1-4: level)

## Friends
std::ostream & | operator<< (std::ostream &o, Ruler const &ruler)
| operator<<

## Detailed Description

Internal: a ruler.

## Constructor & Destructor Documentation

## ◆ Ruler()

PowerPoint3ParserInternal::Ruler::Ruler | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ updateParagraph()

void PowerPoint3ParserInternal::Ruler::updateParagraph | ( | MWAWParagraph & | para,
|  | int | level ) const
| inline

returns a paragraph corresponding to a level

Referenced by PowerPoint3Parser::readParagraph().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Ruler const & | ruler )
| friend

operator<<

## Member Data Documentation

## ◆ m_margins

int PowerPoint3ParserInternal::Ruler::m_margins[10]

the left/first margins * 5 (0: normal, 1-4: level)

Referenced by operator<<, PowerPoint3Parser::readRuler(), Ruler(), and updateParagraph().

## ◆ m_paragraph

MWAWParagraph PowerPoint3ParserInternal::Ruler::m_paragraph

the paragraph

Referenced by operator<<, PowerPoint3Parser::readRuler(), Ruler(), and updateParagraph().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx